package com.tzld.piaoquan.recommend.server.repository;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface WxVideoTagRelRepository extends JpaRepository<WxVideoTagRel, Long> {
    List<WxVideoTagRel> findAllByTagId(Long tagId);

    List<WxVideoTagRel> findAllByTagIdIn(List<Long> tagId);

    Page<WxVideoTagRel> findAllByTagIdInOrderByCreateTimeAsc(List<Long> tagId, Pageable pageable);
}